%define module ivtv
%define version 0.7.3

Summary: An iTVC15/16 and CX23415/16 driver
Name: %{module}-0.7
Version: %{version}
Release:  %mkrel 4
License: GPL
Group: System/Kernel and hardware
Obsoletes:	ivtv-stable
Provides: %{module}
Requires: kernel = 2.6.17
Requires: perl-Video-ivtv
Requires: perl-Video-Frequencies
Source0: http://dl.ivtvdriver.org/ivtv/stable/%{module}-%{version}.tar.bz2
Patch0:	ivtv-0.2.0-rc3i-utils_Makefile.patch
Patch1: ivtv-0.2.0-rc3j-software_suspend.patch
Patch2:	ivtv-0.4.1-driver_compat.h.patch
Patch3:	ivtv-0.4.0-utils_Makefile.patch
Patch4:	ivtv-0.4.1-ivtvfwextract.patch
URL: http://ivtvdriver.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root/

%description
The primary goal of the IvyTV Project is to create a kernel driver for
the iTVC15 familiy of MPEG codecs. The iTVC15 family includes the
iTVC15 (CX24315) and iTVC16 (CX24316). These chips are commonly found
on Hauppauge's WinTV PVR-250 and PVR-350 TV capture cards.

%package -n dkms-%{name}
Summary:	Kernel drivers for the iTVC15/16 and CX23415/16 driver
Group:		System/Kernel and hardware
Obsoletes:	dkms-ivtv-stable
Provides:	dkms-%{module}
Requires:	dkms >= 1.00
Requires:	%{name} = %{version}-%{release}
Requires:	kernel = 2.6.17

%description -n dkms-%{name}
The primary goal of the IvyTV Project is to create a kernel driver for
the iTVC15 familiy of MPEG codecs. The iTVC15 family includes the
iTVC15 (CX24315) and iTVC16 (CX24316). These chips are commonly found
on Hauppauge's WinTV PVR-250 and PVR-350 TV capture cards.

This package provides dkms kernel drivers for this hardware

%prep
%setup -n %{module}-%{version} -q
#patch0 -p1
#patch1 -p1
#patch2 -p0
%patch3 -p0
%patch4 -p0

%build
pwd
cd utils
%make
cd ../test
%make

%install
if [ "$RPM_BUILD_ROOT" != "/" ]; then
	rm -rf $RPM_BUILD_ROOT
fi

# DKMS
mkdir -p $RPM_BUILD_ROOT/usr/src/%{module}-%{version}-%{release}

cp -frv	driver/* \
	$RPM_BUILD_ROOT/usr/src/%{module}-%{version}-%{release}
#	i2c-drivers/upd640xx.h \
cp -fv	utils/videodev2.h \
	$RPM_BUILD_ROOT/usr/src/%{module}-%{version}-%{release}
cat > %{buildroot}/usr/src/%{module}-%{version}-%{release}/dkms.conf <<EOF
PACKAGE_VERSION="%{version}-%{release}"

# Items below here should not have to change with each driver version
PACKAGE_NAME="%{module}"
MAKE[0]="src=/usr/src/${PACKAGE_NAME}-${PACKAGE_VERSION}/ ; make"
CLEAN="make clean"

BUILT_MODULE_NAME[0]="ivtv"
BUILT_MODULE_NAME[1]="ivtv-fb"

DEST_MODULE_LOCATION[0]="/kernel/3rdparty/ivtv"
DEST_MODULE_LOCATION[1]="/kernel/3rdparty/ivtv"

AUTOINSTALL=yes
EOF

export PREFIX=/usr
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_libdir}/ivtv
cd utils
%makeinstall DESTDIR=%{buildroot} INSTALLDIR=%{_bindir}

# Install ivtvfwextract util
cp ivtvfwextract.pl %{buildroot}/%{_libdir}/ivtv

cd ../test
install vbi fwapi wss vbi-passthrough vbi-detect %{buildroot}%{_bindir}/

# Remove unpackaged files
rm -rf %{buildroot}%{_includedir}/linux/ivtv.h

%clean
if [ "$RPM_BUILD_ROOT" != "/" ]; then
	rm -rf $RPM_BUILD_ROOT
fi

%files
%defattr(-,root,root,-)
%doc doc/*
%doc utils/README*
%{_libdir}/ivtv
%{_bindir}/*

%files -n dkms-%{name}
%defattr(-,root,root,-)
/usr/src/%{module}-%{version}-%{release}

%post -n dkms-%{name}
dkms add -m	%{module} -v %{version}-%{release} --rpm_safe_upgrade
dkms build -m	%{module} -v %{version}-%{release} --rpm_safe_upgrade
dkms install -m	%{module} -v %{version}-%{release} --rpm_safe_upgrade

%preun -n dkms-%{name}
dkms remove -m	%{module} -v %{version}-%{release} --rpm_safe_upgrade --all




%changelog
* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.7.3-4mdv2009.0
+ Revision: 247325
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.7.3-2mdv2008.1
+ Revision: 140792
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 02 2007 Olivier Blin <oblin@mandriva.com> 0.7.3-2mdv2008.0
+ Revision: 94483
- update to new version


* Mon Dec 11 2006 Stefan van der Eijk <stefan@mandriva.org> 0.7.3-1mdv2007.0
+ Revision: 94728
- 0.7.3
- 0.7.3
- Import ivtv-0.7

* Tue Sep 26 2006 Stefan van der Eijk <stefan@mandriva.org> 0.7.1-1
- 0.7.1

* Mon Jul 24 2006 Stefan van der Eijk <stefan@eijk.nu> 0.7.0-1
- 0.7.0

* Mon Jul 24 2006 Stefan van der Eijk <stefan@eijk.nu> 0.6.3-3
- Requires: kernel = 2.6.16 (same applies to ivtv package)

* Mon Jun 26 2006 Stefan van der Eijk <stefan@eijk.nu> 0.6.3-1
- 0.6.3

* Sun May 14 2006 Stefan van der Eijk <stefan@eijk.nu> 0.6.2-1mdk
- 0.6.2

* Tue Mar 28 2006 Stefan van der Eijk <stefan@eijk.nu> 0.6.1-1mdk
- 0.6.1
- renamed the package to provide backwards compat for 0.4.x series
  those will be renamed to ivtv-0.4

* Thu Feb 16 2006 Stefan van der Eijk <stefan@eijk.nu> 0.4.3-1mdk
- 0.4.3
- add Conflicts: kernel >= 2.6.16

* Sun Feb 12 2006 Stefan van der Eijk <stefan@eijk.nu> 0.4.2-2mdk
- fix dkms.conf for kernel >= 2.6.15
- add test binaries

* Mon Jan 16 2006 Stefan van der Eijk <stefan@eijk.nu> 0.4.2-1mdk
- 0.4.2

* Wed Dec 21 2005 Stefan van der Eijk <stefan@eijk.nu> 0.4.1-2mdk
- Install ivtvfwextract util
- patch ivtvfwextract util to reflect new firmware filenames

* Mon Dec 19 2005 Stefan van der Eijk <stefan@eijk.nu> 0.4.1-1mdk
- 0.4.1

* Mon Oct 10 2005 Stefan van der Eijk <stefan@eijk.nu> 0.4.0-1mdk
- 0.4.0

* Fri Jul 01 2005 Stefan van der Eijk <stefan@eijk.nu> 0.2.0-rc3k_1mdk
- 0.2.0-rc3k

* Fri Jun 10 2005 Stefan van der Eijk <stefan@eijk.nu> 0.2.0-rc3j_4mdk
- introduce stable & unstable ivtv packages
- add software suspend patch

* Sat May 21 2005 Stefan van der Eijk <stefan@eijk.nu> 0.2.0-rc3j_3mdk
- use %%makeinstall (add the missing files)

* Fri Apr 22 2005 Stefan van der Eijk <stefan@eijk.nu> 0.2.0-rc3j_2mdk
- mkrel

* Thu Apr 21 2005 Stefan van der Eijk <stefan@eijk.nu> 0.2.0-rc3j_1mdk
- New release 0.2.0-rc3j

* Sat Apr 16 2005 Stefan van der Eijk <stefan@eijk.nu> 0.2.0-rc3i_1mdk
- New release 0.2.0-rc3i
- rediffed utils_Makefile patch

* Fri Mar 11 2005 Stefan van der Eijk <stefan@eijk.nu> 0.2.0-rc3h_1mdk
- New release 0.2.0-rc3h

* Mon Feb 21 2005 Stefan van der Eijk <stefan@eijk.nu> 0.2.0-rc3g_1mdk
- New release 0.2.0-rc3g

* Wed Feb 02 2005 Stefan van der Eijk <stefan@mandrakesoft.com> 0.2.0-rc3f_1mdk
- New release 0.2.0-rc3f

* Mon Jan 24 2005 Stefan van der Eijk <stefan@mandrakesoft.com> 0.2.0-rc3e_1mdk
- New release 0.2.0-rc3e
- drop patch1

* Tue Jan 11 2005 Stefan van der Eijk <stefan@mandrake.org> 0.2.0-rc3d_2mdk
- dkms naming

* Mon Jan 10 2005 Stefan van der Eijk <stefan@mandrake.org> 0.2.0-rc3d_1mdk
- 0.2.0-rc3d

* Mon Apr 12 2004 Gary Lerhaupt <gary_lerhaupt@dell.com>
- Initial DKMS-enabled ivtv RPM

* Wed Jan 14 2004 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Update to 0.1.9.

* Wed Dec 31 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Updated to 0.1.7.

* Mon Dec 29 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Updated to official release 0.1.6.

* Mon Dec 15 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Updated to Robert Kulagowski's patched version containing
  o Jens Axboe's 1125A patches
  o Chris Pinkham's M179 patch
  o Anduin's close_stream patch

